org.bouncycastle.asn1.cmc

## Class PendInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmc.PendInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PendInfo
      extends ASN1Object

       PendInfo ::= SEQUENCE {
          pendToken        OCTET STRING,
          pendTime         GeneralizedTime
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PendInfo(byte[] pendToken, ASN1GeneralizedTime pendTime)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PendInfo` | `getInstance(java.lang.Object o)`
    `ASN1GeneralizedTime` | `getPendTime()`
    `byte[]` | `getPendToken()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PendInfo

          public PendInfo(byte[] pendToken,
                          ASN1GeneralizedTime pendTime)

  - ### Method Detail

    - #### getInstance

          public static PendInfo getInstance(java.lang.Object o)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### getPendToken

          public byte[] getPendToken()

    - #### getPendTime

          public ASN1GeneralizedTime getPendTime()